package com.heyu.api.data.dao.vv;
/**
* <p>
* 用户登录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-23
*/
import com.heyu.api.data.entity.vv.VvAdminEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvAdminDao extends BaseMapper<VvAdminEntity> {


	VvAdminEntity selectVvAdminById(@Param("id")Long id);


	Long insertVvAdmin(VvAdminEntity vvAdmin);


	Long insertOrUpdateVvAdmin(VvAdminEntity vvAdmin);


	int updateVvAdminById(VvAdminEntity vvAdmin);


	int updateCoverVvAdminById(VvAdminEntity vvAdmin);


	int deleteVvAdminById(@Param("id")Long id);


    VvAdminEntity selectVvAdminByUserName(String userName);
}